#ifndef I2C_DMA_H
#define I2C_DMA_H

#include <stdint.h>
#include <stddef.h>

typedef enum
{
	I2C_DMA_EVT_TRANSFER_COMPLETE,
	I2C_DMA_EVT_NAK,
	I2C_DMA_EVT_TIMEOUT,
} i2c_dma_evt_t;

typedef void (*i2c_dma_callback_t)(i2c_dma_evt_t evt, const uint8_t *rdata, size_t rlen);

void i2c_dma_init(i2c_dma_callback_t callback);

void i2c_dma_loop(void);

void i2c_dma_start_transfer7(uint32_t i2c, uint8_t addr, const uint8_t *w, size_t wn, size_t rn);

#endif // I2C_DMA_H
