#ifndef PINOUT_H
#define PINOUT_H

/* LEDs */

#define LED_PORT         GPIOB

#define LED_A_PIN        GPIO0
#define LED_B_PIN        GPIO1
#define LED_C_PIN        GPIO3

#define LED_ALL_PINS     (LED_A_PIN | LED_B_PIN | LED_C_PIN)

/* Charge pump */

#define CHARGE_PUMP_PORT     GPIOA

#define CHARGE_PUMP_DRV_PIN  GPIO8      // Timer 1, Channel 1

/* Solar switch */

#define SOLAR_SWITCH_PORT     GPIOA
#define SOLAR_SWITCH_PIN      GPIO11

/* Load switch */

#define LOAD_SWITCH_PORT     GPIOA
#define LOAD_SWITCH_PIN      GPIO12

/* Analog channels */

#define ANALOG_INPUT_U_BAT          0
#define ANALOG_INPUT_U_SOLAR        1
#define ANALOG_INPUT_U_SW           2
#define ANALOG_INPUT_I_SOLAR        3
#define ANALOG_INPUT_I_LOAD         4

/* RS485 */

#define RS485_PORT        GPIOB

#define RS485_DE_PIN      GPIO5       // High = Driver enabled
#define RS485_TX_PIN      GPIO6
#define RS485_RX_PIN      GPIO7

/* BMP280 I²C */

#define BMP280_I2C_PORT   GPIOA

#define BMP280_I2C_SCL    GPIO9
#define BMP280_I2C_SDA    GPIO10

#endif // PINOUT_H
